import { FC } from 'react';
import { StyleProp, TextStyle, ViewStyle } from 'react-native';
export type MenuItemProps = {
    Icon?: FC<{
        size: number;
    }>;
    active?: boolean;
    children?: string;
    external?: boolean;
    href?: string;
    onNav?: (item: Omit<MenuItemProps, 'onNav'>) => void;
    side?: boolean;
    style?: {
        container?: StyleProp<ViewStyle>;
        text?: StyleProp<TextStyle>;
    };
};
export declare const MenuItem: FC<MenuItemProps>;
