import { FC, ReactNode } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
export type PlaceholderProps = {
    active: boolean;
    children: ReactNode;
    layout: ({
        key: number | string;
    } & StyleProp<ViewStyle>)[];
    style?: {
        container?: StyleProp<ViewStyle>;
    };
};
export declare const Skeleton: FC<PlaceholderProps>;
