import { FC, ReactNode } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
export type StackProps = {
    children: ReactNode;
    direction?: ViewStyle['flexDirection'];
    style?: StyleProp<ViewStyle>;
} & Omit<ViewStyle, 'direction'>;
export declare const Stack: FC<StackProps>;
