import { FC, ReactNode } from 'react';
export type Toaster = {
    color?: 'primary' | 'secondary' | 'positive' | 'negative';
    id: string;
    message: string;
    timeout?: number;
    title?: string;
};
export type ToasterId = Toaster['id'];
export declare const ToasterProvider: FC<{
    children: ReactNode;
}>;
export declare const showToaster: (toaster: Toaster) => void;
export declare const useToaster: () => {
    toasters: Record<string, Toaster>;
    showToaster: (toaster: Toaster) => void;
};
