import React, { ReactNode } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
export type RippleEffectProps = {
    children: ReactNode;
    color?: string;
    disabled?: boolean;
    duration?: number;
    opacity?: number;
    style?: {
        container: StyleProp<ViewStyle>;
    };
};
export declare const RippleEffect: React.ForwardRefExoticComponent<RippleEffectProps & React.RefAttributes<unknown>>;
